$(document).ready(function() {
	$(".judge").tabs();
	
    /************feedback*****************/
    $(".leaveFeedback .star").each(function() {
            if (parseInt($(this).val()) <= parseInt($(this).parent().find(".anketRes").html())) {
                $(this).addClass('hl');
            }
    });
    $(".leaveFeedback .star").on({
        click: function() {
        	var pr=$(this).parent();
        	var resPlace=pr.find(".feedbackResPlace");
        	var anketRes=pr.find(".anketRes");
        	resPlace.val($(this).val());
            //отправляем данные
            var send_data = {};
            send_data[resPlace.attr("name")] = $(this).val();
            var star = $(this);
            $.ajax({
                type: "post",
                url: "/questionnaire/sendajax/" + anketRes.attr("data-anket"),
                data: send_data,
                dataType: "json",
                success: function(json) {
                    star.attr('data-sent', 1);
                    anketRes.html(star.val());
                    alert(json.result);
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    $("#msg").append("<li>Error requesting page: " + textStatus + "</li>");
                }
            });
            return false;
        },
        mouseover: function() {
            if (!$(this).parent().find('.star[data-sent=1]').val()) {
                $(this).prevAll().addClass('hl');
                $(this).nextAll().removeClass('hl');
                $(this).addClass('hl');
            }
        }
    });
    $(".leaveFeedback").on('mouseleave', function() {
    	$(this).find(".star").each(function() {
            if (parseInt($(this).val()) <= parseInt($(this).parent().find(".anketRes").html())) {
                $(this).addClass('hl');
            } else {
                $(this).removeClass('hl');
            }
        });
    });

    /**********************ui********************************/
    $("input:submit,.inputSubmit,.inputReset,.inputButton, a.button,input[type='reset'], button.button").button();
    $(".ui-search").button({
        icons: {
            primary: "ui-icon-search"
        },
        text: false,
        label: "поиск"
    });
    $.datepicker.setDefaults($.datepicker.regional['ru']);
    $(".datepicker").datepicker({
        dateFormat: 'dd.mm.yy',
        firstDay: 1,
        changeYear: true,
        changeMonth: true
    });

    $("#siteSearch input:text").bind({
        focus: function() {
            if ($(this).val() == 'Поиск...') {
                $(this).val("");
            }
        },
        blur: function() {
            if ($(this).val() == '') {
                $(this).val("Поиск...");
            }
        }
    });
    
    $("#blockMap").on("mouseleave",function(){
    	$("#map_br_small").hide();
    });
    
    $("#chartdiv,.statGraph").on('jqplotDataHighlight', function(ev, seriesIndex, pointIndex, data) {
    	if(data){
    		$(this).attr('title', data[0] + ": " + data[1]);
    	}
    }); 

    $("#chartdiv,.statGraph").on('jqplotDataUnhighlight', function(ev, seriesIndex, pointIndex, data) {
    	$(this).attr('title',""); 
    });
    
    
    //hack 100% height
    var ht=$("#contentHere").parent().height();
    var pdt=parseInt($("#content").css('padding-top'));
    var pdb=parseInt($("#content").css('padding-bottom'));
    $("#contentHere").height(ht+pdt+pdb);

});


checkBrowser(params = {
    warning: 'устарела!',
    message: 'Для наиболее корректного отображения страниц сайта рекомендуется использовать следующие версии браузеров: Internet Explorer v.8 и выше, Opera v.11 и выше, Google Chrome v.10 и выше, Mozilla Firefox v.4 и выше, Safari v.10 и выше',
    question: 'Обновить браузер сейчас?',
    chrome: 10,
    safari: 4,
    msie: 8,
    opera: 11,
    firefox: 4,
    chromeLink: 'http://www.google.com/chrome',
    safariLink: 'http://www.apple.com/ru/safari',
    msieLink: 'http://www.microsoft.com/rus/windows',
    operaLink: 'http://ru.opera.com',
    firefoxLink: 'http://www.mozilla-russia.org/products'
});

function ChangeMapSmall(num, map_id) {
    $map =$("#"+map_id);
    $map.removeClass();
    $map.addClass("mapImg"+num);
}
function ReturnMapSmall(map_id) {
	$map =$("#"+map_id);
	$map.removeClass();
	$map.addClass("mapImg0");
}

